import { message } from 'antd'
import axios from 'axios'
//获取当前时间
export function getmyDate(form) {
    var date = new Date();
    var year = date.getFullYear().toString();
    var month = (date.getMonth()+1< 10 ? '0'+(date.getMonth()+1): date.getMonth()+1).toString();
    var day = (date.getDate()< 10 ? '0' +(date.getDate()): date.getDate()).toString();
    var hour = (date.getHours()< 10 ? '0' + date.getHours(): date.getHours()).toString();
    var minute = (date.getMinutes()<10 ? '0' + (date.getMinutes()): date.getMinutes()).toString();
    var second = (date.getSeconds()<10 ? '0' + date.getSeconds(): date.getSeconds()).toString();
    if(!form){
        return year+month+day+hour+minute+second;
    }else if(form=="YY-MM-DD hh:mm:ss"){
        return year+'-'+month+'-'+day+' '+hour+':'+minute+':'+second;
    }
};
//时间戳转化
export function format(fmt) {
    var date = new Date(fmt);
    var year = date.getFullYear().toString();
    var month = (date.getMonth()+1< 10 ? '0'+(date.getMonth()+1): date.getMonth()+1).toString();
    var day = (date.getDate()< 10 ? '0' +(date.getDate()): date.getDate()).toString();
    var hour = (date.getHours()< 10 ? '0' + date.getHours(): date.getHours()).toString();
    var minute = (date.getMinutes()<10 ? '0' + date.getMinutes(): date.getMinutes()).toString();
    var second = (date.getSeconds()<10 ? '0' + date.getSeconds(): date.getSeconds()).toString();
    return year+'-'+month+'-'+day+' '+hour+':'+minute+':'+second;
}
//请求API,json形式
export function $Axios (method, url, param, fn, err) {
	let methods = method.trim()
	let obj = {
		method: methods,
		headers: { 'content-type': 'application/json;charset=utf-8' },
		url: url,
        timeout: 30000
    }

    if(method=='post'){
        obj.data = param
    }

	axios(obj)
		.then((response) => {
			fn(response)
		})
		.catch((e) => {
			if (err) err()
			console.log(e)
		})
}

//请求API,form形式
export function $Axios_form (method, url, param, fn, err) {
    //let methods = method.trim()

    let obj = {
		method: method,
		headers: { 'content-type': 'application/x-www-form-urlencoded;charset=utf-8' },
		url: url,
		//timeout: 30000
    }

    if(method = 'get'){
        let param_get = {}
        param_get.json = JSON.stringify(param).trim()
        obj.params = param_get
    }else if(method = 'post'){
        url = url + '?json={';
        Object.entries(param).map((item,index)=>{
            Object.entries(param).length-1 == index ?  (url += `"${item[0]}":"${item[1]}"`) : url += `"${item[0]}":"${item[1]}",`
        })
        url = url + '}'
    }
    
	axios(obj)
		.then((response) => {
			fn(response)
		})
		.catch((e) => {
			if (err) err()
			console.log(e)
		})
}